package ei.game;

import ei.engine.LWJGLGameWindow;
import ei.engine.state.GameStateManager;
import ei.game.gamestate.InGameState;
import ei.game.gamestate.LoadingState;
import ei.game.gamestate.SplashState;

public class EI extends LWJGLGameWindow{
	public static final boolean debug = true;
	
	public static void main(String[] args){
		new EI();
	}

	public EI() {
		super("EI");
	}
	
	protected void init(){
		if(debug){
			GameStateManager.getInstance().addState(new InGameState("InGameState"));
			GameStateManager.getInstance().setActive("InGameState");
		}
		else{
			GameStateManager.getInstance().addState(new InGameState("InGameState"));
			GameStateManager.getInstance().addState(new LoadingState("LoadingState","InGameState"));
			GameStateManager.getInstance().addState(new SplashState("SplashState","LoadingState"));
			GameStateManager.getInstance().setActive("SplashState");
		}
	}
}
